Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.render.velocity
Class ExportVelocityRenderer

    java.lang.Object
      |
      +--com.infodesire.infobit.render.velocity.VelocityRenderer
            |
            +--com.infodesire.infobit.render.velocity.ExportVelocityRenderer

All Implemented Interfaces:
  InfobitRenderer

public class ExportVelocityRenderer
extends VelocityRenderer

render infobits in a way suitable for xml export

Version:
  $Revision: 1.3 $
Author:
  konstantin

Constructor Summary
`ExportVelocityRenderer()`

Method Summary
`void` | `init(java.util.Properties properties)` initialize itself and velocity with given properties.
`void` | `renderContent(java.io.Writer writer, Content content)` not sure it's good here.
`void` | `setupContext(org.apache.velocity.context.Context context, java.lang.String infobitName)` setup context for infobit rendering.

Methods inherited from class com.infodesire.infobit.render.velocity.VelocityRenderer
`getManager, render, setManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExportVelocityRenderer

    public ExportVelocityRenderer()

Method Detail

### setupContext

    public void setupContext(org.apache.velocity.context.Context context,
                             java.lang.String infobitName)

  setup context for infobit rendering. this method is called by #inbfobit() directive it places following objects on context:
  - $infobit - infobit itself
  - $version - selected infobit version ( currently it's active version )
  - $content - content belonging to this version
  - $linkname where linkname is name of script link - just a convenience ( may dissapear ) script names will be also available in template as $content.links.get("name of the link").name

  Specified by:
    `setupContext` in class `VelocityRenderer`
  Parameters:
    `context` - velocity context to be augmented
    `infobitName` - Description of Parameter

### renderContent

    public void renderContent(java.io.Writer writer,
                              Content content)

  not sure it's good here. just a noop

  Specified by:
    `renderContent` in class `VelocityRenderer`
  Parameters:
    `writer` - Description of Parameter
    `content` - Description of Parameter

### init

    public void init(java.util.Properties properties)

  initialize itself and velocity with given properties.

  Specified by:
    `init` in interface `InfobitRenderer`
  Overrides:
    `init` in class `VelocityRenderer`
  Parameters:
    `properties` - Description of Parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.